class << $LOAD_PATH
  def merge!(other)
    replace(self | other)
  end
end

$LOAD_PATH.merge! [File.expand_path('../lib', __FILE__)]

Gem::Specification.new do |spec|
  raise 'RubyGems 2.0 or newer is required.' unless spec.respond_to?(:metadata)
  spec.name = 'yaml_editor'
  spec.version = '0.0.2'
  spec.authors = ['Andrew Smith']
  spec.email = ['andrew.smith at moneysupermarket.com']

  spec.summary = 'Update YAML documents preserving layout and comments'
  spec.description = 'Allows update of YAML directly indexing fields within'\
                     ' the document without deserialisation to objects so '\
                     ' that order and comments may be preserved'
  spec.homepage = 'https://github.com/MSMFG/rubygem_yaml_editor'
  spec.license = 'Apache-2.0'
  spec.files = `git ls-files -z`.split("\x0")
end
